using System;
using System.Data;

public partial class DataTable1 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DataTable dTable = new DataTable("Clientes");

        DataColumn coluna;
        coluna = dTable.Columns.Add("IdCliente", Type.GetType("System.Int32"));
        coluna.AutoIncrement = true;
        coluna.AllowDBNull = false;
        coluna.Unique = true;
        coluna.AutoIncrementSeed = 0;
        coluna.AutoIncrementStep = 1;

        dTable.Columns.Add("Nome", Type.GetType("System.String"));
        DataRow linha = dTable.NewRow();
        linha["Nome"] = "Alfredo Lotar";
        dTable.Rows.Add(linha);

        foreach (DataRow dr in dTable.Rows)
        {
            Label1.Text+=(dr[1].ToString() + "<br/>");
        }

        /*DataRow[] dr1 = dTable.Select("Nome Like 'Al*'", "Nome ASC");
        foreach (DataRow dados in dr1)
        {
            Response.Write(dados[1].ToString() + "<br/>");
        }*/
    }
}